package com.cim.idm.wmspackage.product.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ProductSpecHistory extends FieldAccessor implements
		DataInfo<ProductSpecHistoryKey> {

	private ProductSpecHistoryKey key;
	
	private String description;

	private Timestamp createTime;
	private String createUser;

	
	private String eventUser;
	private Timestamp eventTime;
	private String eventComment;
	private String productionType;
	private String productType;
	private long productQuantity;
	private long subProductQuantity;

	private double productSize;

	private String productSpecType;


	private long scrapJudgeCount;


	public ProductSpecHistoryKey getKey() {
		return key;
	}


	public void setKey(ProductSpecHistoryKey key) {
		this.key = key;
	}


	public String getDescription() {
		return description;
	}


	public void setDescription(String description) {
		this.description = description;
	}


	public Timestamp getCreateTime() {
		return createTime;
	}


	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}


	public String getCreateUser() {
		return createUser;
	}


	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}


	public String getEventUser() {
		return eventUser;
	}


	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}


	public Timestamp getEventTime() {
		return eventTime;
	}


	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}


	public String getEventComment() {
		return eventComment;
	}


	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}


	public String getProductionType() {
		return productionType;
	}


	public void setProductionType(String productionType) {
		this.productionType = productionType;
	}


	public String getProductType() {
		return productType;
	}


	public void setProductType(String productType) {
		this.productType = productType;
	}


	public long getProductQuantity() {
		return productQuantity;
	}


	public void setProductQuantity(long productQuantity) {
		this.productQuantity = productQuantity;
	}


	public long getSubProductQuantity() {
		return subProductQuantity;
	}


	public void setSubProductQuantity(long subProductQuantity) {
		this.subProductQuantity = subProductQuantity;
	}


	public double getProductSize() {
		return productSize;
	}


	public void setProductSize(double productSize) {
		this.productSize = productSize;
	}


	public String getProductSpecType() {
		return productSpecType;
	}


	public void setProductSpecType(String productSpecType) {
		this.productSpecType = productSpecType;
	}


	public long getScrapJudgeCount() {
		return scrapJudgeCount;
	}


	public void setScrapJudgeCount(long scrapJudgeCount) {
		this.scrapJudgeCount = scrapJudgeCount;
	}
	
	

}
